PASW® Data Collection and Survey Visualization 5.6 Installation Instructions

These instructions are for installing Data Collection and Survey Visualization 5.6 products using a single user license or a site license.

A single user license allows you to install Data Collection and Survey Visualization 5.6 products on up to two computers, if those computers are used by one user. A site license allows you to install Data Collection and Survey Visualization 5.6 products on multiple computers for use by multiple users.

Related Topics

Before You Start
System Requirements
Installing Data Collection and Survey Visualization 5.6 products
Licensing Your Product
Uninstalling Data Collection and Survey Visualization 5.6 products
Updating, Modifying, and Renewing Data Collection and Survey Visualization 5.6 products


Before You Start

Before you install Data Collection and Survey Visualization 5.6, read these installation instructions.

To Print these Installation Instructions Using the Mouse

Printing these instructions,Printing these instructions,Printing these instructions

On the Contents tab, right-click PASW® Data Collection and Survey Visualization 5.6 Installation Instructions and then select Print.

In the Print Topics window, select Print the selected heading and all subtopics and then click OK.

To Print these Installation Instructions Using the Keyboard

Press Alt+C to select the Contents tab.

Use the arrow keys to highlight the topic called PASW® Data Collection and Survey Visualization 5.6 Installation Instructions .

Press Alt+O, P to select the Options button and the Print option.

In the Print Topics window, select Print the selected heading and all subtopics and then press Enter.

Related Topics

System Requirements


System Requirements

Minimum hardware and software requirements,Minimum hardware and software requirements,Minimum hardware and software requirements
System requirements,System requirements,System requirements
Requirements,Requirements,Requirements

The minimum system requirements for Data Collection and Survey Visualization 5.6 products are included in the following sections:

• Supported Operating Systems

• Required Software

• Required Hardware

Authorization Code

You will also need your authorization code from SPSS Inc.. The authorization code enables you to obtain a license for Data Collection and Survey Visualization 5.6 products. If you cannot find your authorization code, contact your administrator or your SPSS Inc. sales representative. In some cases, you might have multiple codes. You will need all of them.


Supported Operating Systems

Operating system requirements,Operating system requirements,Operating system requirements
System requirements,System requirements,System requirements
Operating system,Operating system,Operating system
Requirements,Requirements,Requirements
Operating system,Operating system,Operating system

Following is a list of supported operating systems for each product.

Product | Supported Operating Systems
Author, Reports for Surveys, Professional, Paper, Data Collection Translation Utility | • 32-bit version of Microsoft® Windows® XP Professional with Service Pack 2 • 32-bit or 64-bit version of Microsoft Windows Vista Ultimate Edition
Scan | • 32-bit version of Microsoft® Windows® XP Professional with Service Pack 2 • 32-bit or 64-bit version of Microsoft Windows Vista Ultimate Edition
Interviewer | • 32-bit version of Microsoft Windows XP Tablet PC Edition 2005 with Service Pack 2 • 32-bit version of Microsoft Windows XP Professional with Service Pack 2 • 32-bit or 64-bit version of Microsoft Windows Vista Ultimate Edition

Related Topics

Required Software
Required Hardware


Required Software

Software requirements,Software requirements,Software requirements
System requirements,System requirements,System requirements
Software,Software,Software
Requirements,Requirements,Requirements
Software,Software,Software

Following is a list of required software for each product. If installing multiple products, be sure you have all required software.

Product Required Software
Author, Interviewer, Data Collection Translation Utility

• Web Services Enchancements (WSE) 2.0 SP3 (included on the installation CD)

For Windows XP systems:

• Microsoft .NET Framework 2.0 SP1 (included on the installation CD)

• Microsoft Internet Explorer 6.0 or 7.0

• Microsoft Data Access Components 2.8 or later (included on the installation CD)

For Windows Vista systems:

• Microsoft .NET Framework 3.0 (included with Windows Vista)

• Microsoft Internet Explorer 7.0

Reports for Surveys

Software listed in first row, plus the following:

• Microsoft Office 2000, XP, 2003, or 2007 (required for exporting to Microsoft Word, Excel, PowerPoint, or HTML). For Office 2000 or XP, Service Pack 3 or later is required. For Office 2003, Service Pack 2 or later is required.

• Microsoft Office Web Components version 10 or later (required for displaying charts)
Professional

Software listed in first row, plus the following:

• Microsoft Office Web Components version 10 or later (required for displaying charts in Professional Tables Option)

• Context-sensitive help (accessed by pressing the F1 key) is an optional feature of Professional. If you want to use context-sensitive help, you must install the browser-based version of the DDL documentation.
Paper/Scan

Software listed in first row, plus the following:

• Microsoft Word 2000, XP (SP3), 2003, or 2007.

• If installing Scan, you must also have Paper 5.6 and ReadSoft Eyes & Hands (EHF) 5.2 Service Pack 13 Hotfix 4 or ReadSoft DOCUMENTS for Forms 5.3.

Note: You must install Scan at the same time you install Paper. It is not possible to add Scan to an existing Paper installation. You must remove Paper and then install both Paper and Scan at the same time.

Related Topics

Supported Operating Systems
Required Hardware
Installing Microsoft .NET Framework 2.0 SP1
Installing Internet Explorer 6.0 or 7.0
Microsoft Data Access Components 2.8
Installing Microsoft Office Web Components (OWC)


Required Hardware

Hardware requirements,Hardware requirements,Hardware requirements
System requirements,System requirements,System requirements
Hardware,Hardware,Hardware
Requirements,Requirements,Requirements
Hardware,Hardware,Hardware

Following is a list of required hardware for each product. If installing multiple products, be sure you meet all requirements.

Product Required Hardware
All products

• CD-ROM drive required for installation

• A graphics adapter with 1024 x 768 resolution or higher

• Minimum 16-bit color quality setting
Author, Reports for Surveys, Professional, Interviewer

• Pentium®-class processor operating at 1 GHz or faster, 2 GHz or faster recommended

• 512 MB RAM minimum, 1 GB or more recommended

• A hard disk with at least 200 MB available space
Paper/Scan

• Pentium-class processor operating at 600 MHz or faster, 1 GHz or faster recommended for running large projects

• 512 MB RAM minimum, 1 GB or more recommended

• If using Scan, a hard disk with at least 1 MB available space for each questionnaire page that will be transferred to the scanning software in one session. This space is only required during the transfer and is released when the transfer is complete.
Data Collection Translation Utility

• Pentium-class processor operating at 600 MHz or faster, 1 GHz or faster recommended for large projects

• 512 MB RAM minimum, 1 GB or more recommended

• A hard disk with at least 5 MB available space

Related Topics

Supported Operating Systems
Required Software


Installing Data Collection and Survey Visualization 5.6 products

Product,Product,Product
Installing,Installing,Installing
Installing the product,Installing the product,Installing the product

To install Data Collection and Survey Visualization 5.6 products, you must log on to your computer with administrator privileges.

Related Topics

Installing from a CD-ROM
Installing from a Downloaded File
Installing From the Command Line
Notes for Installation
Running a Logged Installation


Installing from a CD-ROM

Product,Product,Product
Installing,Installing,Installing
Installing the product,Installing the product,Installing the product

Windows XP

Insert the CD-ROM into your CD-ROM drive. The AutoPlay feature presents a menu.

On the AutoPlay menu, click Install Data Collection and Survey Visualization 5.6, and then follow the instructions on each screen. See Notes for Installation for any special instructions.

Windows Vista

You must run the AutoPlay as administrator:

Close the AutoPlay window that automatically appeared.

Using Windows Explorer, browse to the CD-ROM.

Right-click setup.exe on the root of the CD and choose Run as Administrator.

On the AutoPlay menu, click Install Data Collection and Survey Visualization 5.6, and then follow the instructions on each screen. See Notes for Installation for any special instructions.

Starting the installation manually

You can also start the installation manually:

From the Windows Start menu, choose Run.

In the Run dialog, type D:\setup (where D is your CD-ROM drive).

Follow the instructions on each screen. See Notes for Installation for any special instructions.

Related Topics

Installing from the Command Line
Notes for Installation
Running a Logged Installation


Installing From the Command Line

PASW® Data Collection and Survey Visualization 5.6,PASW® Data Collection and Survey Visualization 5.6,PASW® Data Collection and Survey Visualization 5.6
Installing,Installing,Installing
Installing PASW® Data Collection and Survey Visualization 5.6,Installing PASW® Data Collection and Survey Visualization 5.6,Installing PASW® Data Collection and Survey Visualization 5.6
Silent install,Silent install,Silent install

You can install PASW® Data Collection and Survey Visualization 5.6 using the command line. This is useful for system administrators who want to install PASW® Data Collection and Survey Visualization 5.6 using "silent installation." A silent installation runs on its own without intervention so users are not required to provide input to dialog boxes.

To install from the command line

Open a command prompt. For example, in Windows XP, click Start and go to:

All Programs
Accessories
Command Prompt

Change to the directory on the CD-ROM containing the Installer file (PASWDataCollectionandSurveyVisualization5.6.exe).

Enter a command in the following format to start the installation:

start /WAIT PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"mylogfile\" installdir=\"my_path\" addlocal=ProductNames"

The options are:

Option | Description
start /WAIT | Optional. Tells the command prompt to wait until the command is finished before returning. This is very useful in a silent installation, as otherwise the log needs to be continually examined to determine when the installation is complete.
/s | Required. Hides the initialization dialog.
/v | Required. Passes parameters to the MsiExec.exe application.
/qn | Required. Runs the installation without displaying the external user interface.
/l*v \"mylogfile\" | Optional. Runs the installation with verbose logging, and logs to a specified .txt file.
installdir=\"my_path\" | Optional. Specifies the folder to install PASW® Data Collection and Survey Visualization 5.6. Not necessary if you install to the default folder [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6.
addlocal=ProductNames | Required. Defines the products/features to install. Replace ProductNames with one or more of the following. To install multiple products, separate names with a comma (no spaces). To install everything, use All. • Author • ReportsForSurveys • Professional • Interviewer • Paper • Scan • TranslationUtility

Examples

The following example installs all PASW® Data Collection and Survey Visualization 5.6 into the default folder without logging the installation:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn addlocal=All"

The following example installs Author and Reports for Surveys into the default folder and logs the installation messages to a file called C:\log.txt:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"C:\log.txt\" addlocal=Author,ReportsForSurveys"

The following example installs all PASW® Data Collection and Survey Visualization 5.6 applications into the specified folder and logs the installation messages to a file called C:\log.txt:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"C:\log.txt\" installdir=\"C:\MyInstallFolder\" addlocal=All"

The following example does the same as the previous example, but waits for the installation to complete before returning to the command prompt:

start /WAIT PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"C:\log.txt\" installdir=\"C:\MyInstallFolder\" addlocal=All"

To license from the command line

To license your products after installation, enter the following command at the command prompt (where [CommonFiles] is the path to your Common Files directory, such as C:\Program Files\Common Files, and [Authcode] is your authorization code. Repeat this step for each authorization code you have.

[INSTALL_FOLDER]\Common
Files\SPSSInc\PASWDataCollection5.6\Licensing\licenseactivator.exe [AuthCode]

Related Topics

Installing from a CD-ROM
Notes for Installation
Running a Logged Installation


Installing from a Downloaded File

Product,Product,Product
Installing from downloaded file,Installing from downloaded file,Installing from downloaded file
Installing from downloaded file,Installing from downloaded file,Installing from downloaded file
downloaded file,downloaded file,downloaded file
Installing the product,Installing the product,Installing the product

Window XP

Double-click the file that you downloaded, and then follow the instructions that appear on the screen. See Notes for Installation for any special instructions.

Window Vista

You must run the installer as administrator:

Using Windows Explorer, browse to folder where you downloaded the file.

Right-click the downloaded file and choose Run as Administrator.

Follow the instructions that appear on the screen. See Notes for Installation for any special instructions.

Related Topics

Installing Data Collection and Survey Visualization 5.6 products
Installing from the Command Line
Notes for Installation


Installing the Scan Virtual Printer

Scan,Scan,Scan
Installing the Virtual Printer,Installing the Virtual Printer,Installing the Virtual Printer
Installing the Virtual Printer,Installing the Virtual Printer,Installing the Virtual Printer

Scan uses a virtual printer to transfer information from the questionnaire to the scanning software. You must install the Scan virtual printer before you can use the Transfer to Scanning Software command in Scan.

You install the virtual printer as you would any Windows printer. The Add Printer wizard is slightly different in each of the Windows operating environments. Instructions for Windows XP and Windows Vista are provided below.

To Install the Scan Virtual Printer on Windows XP

From the Windows Start menu choose:

Settings
Printers and Faxes

Click Add a Printer. This opens the Add Printer wizard.

Click Next until you are at the Local or Network Printer page of the wizard and select Local Printer attached to this computer. Clear the Automatically detect and install my Plug & Play printer check box.

Click Next.

From the list of available ports, select File, and then click Next.

In the page containing the list of printers, click Have Disk. This opens the Install From Disk dialog box.

Click Browse, select the oemsetup.inf file from the \Printer Driver\XP folder on the CD-ROM, and then select Open.

Click OK.

Click Next.

The printer name is shown as SCAN. Do not change the name of the printer; it must be named SCAN.

Select No to Do you want to use this printer as the default printer?

Click Next.

Select Do not share this printer or Not shared, and then click Next.

Select No to Would you like to print a test page?

If necessary, click Next until you reach the final page of the wizard.

Click Finish. Windows will now install the Scan printer driver.

Note: Windows gives a warning during the installation with the message “This software has not been tested on Windows and may not work correctly.” You can safely ignore this warning.

When the installation is complete the SCAN printer will be listed in the Printers window.

To Install the Scan Virtual Printer on Windows Vista

From the Windows Start menu choose Control Panel. Click Hardware and Sound, and then Printers.

Click Add a printer. This opens the Add Printer wizard.

In the Add Printer wizard, select Add a local printer.

On the Choose a printer port page, make sure that the Use an existing port option button and the recommended printer port are selected, and then click Next.

In the page containing the list of printers, click Have Disk. This opens the Install From Disk dialog box.

Click Browse, select the oemsetup.inf file from one of the following folders on the CD-ROM, and then select Open:

• For Windows Vista 32 bit: \Printer Driver\vista32

• For Windows Vista 64 bit (x64): \Printer Driver\vista64_x64

• For Windows Vista 64 bit (ia64): \Printer Driver\vista64_ia64

Click OK.

Click Next.

Select the printer SCAN and click Next. Do not change the name of the printer; it must be named SCAN. Do not select Set as the default printer.

Click Finish. Windows will now install the Scan printer driver.

Setting up the Scan Printer

After you have installed the Scan virtual printer, you must ensure that:

• The paper size set for the virtual printer is the same as the paper size you are using for the questionnaires you are going to scan.

• The resolution set for the virtual printer is the same as the resolution set for the scanner that will be used to scan the questionnaires.

For information on changing the paper size and resolution for the Scan virtual printer, see the Scan Help file.


Notes for Installation

Product,Product,Product
Notes for installation,Notes for installation,Notes for installation
Installation notes,Installation notes,Installation notes
Notes for installation,Notes for installation,Notes for installation
FIPS 140-2,FIPS 140-2,FIPS 140-2
Scan,Scan,Scan
print driver,print driver,print driver
print driver,print driver,print driver
Scan,Scan,Scan

This section contains special instructions and items to be aware of for this installation.

Machine restart. For some products, the installation process automatically restarts your machine without prompting you. Before starting an installation, you should close any open programs to avoid losing work.

License type. Be sure to select the appropriate license type for the authorization code you received from SPSS Inc..

Configure for FIPS 140-2 Compliance. If your system is already configured to be FIPS 140-2 compliant prior to installation, the installation process will not let you deselect the Configure for FIPS 140-2 Compliance option. If you no do not want the installed applications to be FIPS 140-2 compliant, you must manually set a Windows System cryptography setting to disabled:

1. From the Windows Control panel, select:

Administrative Tools
Local Security Policy
Local Policies (located in the left panel)
Security Options (located in the left panel)
System cryptography: Use FIPS compliant algorithms... (located in the right panel)

2. Double-click the System cryptography: Use FIPS compliant algorithms... policy and select Disabled.

Refer to the National Institute of Standards and Technology website for more information regarding FIPS 140-2.

Note: When FIPS 140-2 is configured for Data Collection and Survey Visualization products, the applications adhere to the password protection security protocols that are defined on the Interviewer Server. For example, if the Interviewer Server is configured for MD5 security, the client-side applications will also use MD5 security for password protection, regardless of whether or not the Configure for FIPS 140-2 Compliance setting was selected during installation.

Logged installation. If you need to run a logged installation for troubleshooting purposes, see Running a Logged Installation.

Silent installation. If you need to run a "silent installation" from the command line, see Installing From the Command Line.

Data Collection Developer Library (DDL). You can install the DDL by clicking Install Data Collection Developer Library on the Autoplay menu. The DDL is a collection of tools for developing your own applications and for modifying existing PASW Data Collection products. The documentation that comes with the DDL provides a host of valuable technical information about how the PASW Data Collection products work. See the topic Installing the Data Collection Developer Library for more information.

The DDL also contains sample data sets users can use while learning Data Collection and Survey Visualization products, as well as step-by-step instructions for installing these data sets. See the topic Samples and Tools for more information.

Installing Scan. If you plan to use Scan, you must install it at the same time you install Paper. It is not possible to add Scan to an existing Paper installation. You must remove Paper and then install both Paper and Scan at the same time.

Scan Virtual Printer. When you upgrade to Scan 5.6 from a previous mrScan version, you must install the Scan 5.6 virtual printer. The scan transfer process will fail if you do not install the Scan 5.6 virtual printer. See the topic Installing the Scan Virtual Printer for more information.

Licensing Professional optional components. The optional Tables (TOM) and Interview (IOM) components are automatically installed with Professional, but require the entry of separate authorization/license codes in the License Authorization Wizard. Contact your system administrator or your SPSS Inc. sales representative if you did not receive codes for the optional components.

Upgrading from Interview Player 5.5. If you are upgrading from Interview Player 5.5, you must first synchronize your 5.5 project data to the server before upgrading to the new 5.6 environment. You may encounter problems if you try to use 5.5 data in a 5.6 environment (for example, the directory structure is different in 5.6). If you want to work with 5.5 (or older) .mdd files, you must first reactivate them in a 5.6 environment.

Installing server components. The web-deployed version of Reports for Surveys is installed on a server from its own separate CD, so users can launch it via Interviewer Server Administrator. See the Reports for Surveys Installation Instructions for more information.

Parts of Interviewer are installed on a server from the Interviewer Server CD. See the Interviewer Server Installation Instructions for details.

Installing Data Collection and Survey Visualization 5.6 products on a workstation where Interviewer or Data Entry is already installed.

You are not currently able to install Data Collection and Survey Visualization 5.6 products on a workstation where Interviewer or Data Entry is already installed. If you attempt to install Data Collection and Survey Visualization 5.6 products over-the-top of an existing application, you will first be prompted to remove the other application. The Data Collection and Survey Visualization 5.6 products installation contains the Interviewer\Data Entry application. Uninstalling the existing version, and installing the version from the Data Collection and Survey Visualization 5.6 products CD, should not have any adverse effects on existing system data.

Related Topics

Installing from a CD-ROM


Running a Logged Installation

Logged installation,Logged installation,Logged installation
Running,Running,Running
Running a logged installation,Running a logged installation,Running a logged installation

If you have problems during installation you cannot resolve, your SPSS Inc. Technical Support representative may request that you run a logged installation and send SPSS Inc. the log file. You should not need to do this under normal circumstances.

To Run a Logged Installation

Open a command prompt. For example, in Windows XP, click Start and go to

All Programs
Accessories
Command Prompt

At the command prompt, type the following:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"<location and name of log file>" installdir=\"C:\MyInstallFolder\" addlocal=All"

For example, the following command creates a file called mylog.txt in the C:\temp folder:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"C:\Temp\mylog.txt\" installdir=\"C:\MyInstallFolder\" addlocal=All"

Related Topics

Installing from a CD-ROM
Installing from the Command Line
Notes for Installation


Installing the Data Collection Developer Library

DDL,DDL,DDL
installing,installing,installing
Data Collection Developer Library,Data Collection Developer Library,Data Collection Developer Library
installing,installing,installing

The documentation for PASW® Data Collection and Survey Visualization 5.6 is provided in the Data Collection Developer Library, (DDL) which is available on the PASW® Data Collection and Survey Visualization 5.6 installation CD as a separate installation. It is also available as a free download from http://www.spss.com/DDL.

To Install the Data Collection Developer Library

Verify you meet all system requirements. See System Requirements and Samples and Tools.

From the PASW® Data Collection and Survey Visualization 5.6 Installer window, choose Install Data Collection Developer Library. Follow the instructions on each screen.

Notes:

• The DDL is available as a separate installation on all PASW Data Collection product installation CDs.

• To view the DDL Readme, browse the CD and open ReadMe.doc from the DDL folder. You can also view the Readme after installation in the DDL installation directory ([INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\ReadMe.doc).

• If you have installed an earlier version of the DDL, it is recommended that you remove it before installing the new version.

• The DDL setup wizard includes the option to install the browser-based version of the DDL documentation. You should install the browser-based version if you want to be able to use context-sensitive help in Professional or if you want to be able to search the DDL using a desktop search engine. The installation of the browser-based version will be significantly quicker if the folder in which it is installed is excluded from virus scanning while the installation takes place. By default, the browser-based version is installed in folder [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\HTML Help. To install the browser-based version, select Complete instead of Typical on the DDL installation screen

• If you do not have Visual C++ 6.0 installed, the installation program will not install the Visual C++ CDSC wizard. However, this will not affect the rest of your installation. If you subsequently install Visual C++ 6.0, you can install the Visual C++ CDSC wizard by modifying your DDL installation via Add/Remove Programs in the Control Panel.


System Requirements

Requirements,Requirements,Requirements
DDL,DDL,DDL
Data Collection Developer Library,Data Collection Developer Library,Data Collection Developer Library
requirements,requirements,requirements

Operating Systems

• A 32-bit version of Microsoft® Windows® XP Professional with Service Pack 2, a 32-bit or 64-bit version of Microsoft Windows Vista Ultimate Edition, or 32-bit version of Windows Server™ 2003 Standard or Enterprise Edition with Service Pack 2

Software

• Microsoft Internet Explorer 6.0 or 7.0

• A program for extracting files from a ZIP archive

Hardware

• Pentium-class processor operating at 90 MHz or faster

• 64 MB RAM minimum

• A hard disk with at least 150 MB available space, plus an additional 150 MB if installing the optional browser-based version of the DDL documentation

• CD-ROM drive required for installation

• A graphics adapter with 1024 x 768 resolution or higher

• Minimum 16-bit color quality setting

Related Topics

Samples and Tools


Samples and Tools

Requirements,Requirements,Requirements
Samples and tools,Samples and tools,Samples and tools
System requirements,System requirements,System requirements
Samples and tools,Samples and tools,Samples and tools
Data Collection Developer Library,Data Collection Developer Library,Data Collection Developer Library
Samples ant Tools,Samples ant Tools,Samples ant Tools

If installing the Data Collection Developer Library (DDL), refer to the following information to take full advantage of the DDL. You can install the DDL by clicking Install Data Collection Developer Library from the Autoplay menu.

The DDL includes a number of samples and tools. All of these require Data Model 5.6, and some have additional requirements:

• Three C# wizards that can be used with Visual Studio .NET to simplify the creation of a Interviewer Server Administrator activity. The wizards require installation of Interviewer Server 5.6 or Web Reports for Surveys 5.6.

• A Visual C++ wizard that simplifies the creation of a case data source component (CDSC). This requires installation of Visual C++ 6.0 with Service Pack 4 or later.

• The Visual C++ source code for the XML CDSC. To compile this source code, you must have Microsoft Visual C++ 6.0 with Service Pack 4 or later, Microsoft Data Access Components (MDAC) 2.8 or later, and Microsoft Windows Template Library from the Microsoft Platform SDK.

• The Visual Basic source code for the following tools and applications: a skeleton Visual Basic CDSC project, an example Visual Basic CDSC, a CDSC test tool, DM Query, DSC Explorer, MDM Explorer, and a tool for creating aliases in an MDM document. These require Visual Basic 6.0. Executable files are provided for DM Query and MDM Explorer so you can use them even if you do not have Visual Basic.

• The source code and executable files for three Visual Basic .NET applications: DM Query.NET, WinDMSRun, and DPM Explorer.NET. To run the WinDMSRun executable file, you need Professional 5.6, and to run DPM Explorer.NET, you need Interviewer Server 5.6 or Web Reports for Surveys 5.6. To compile the source code, you need these products and Visual Basic .NET.

• Numerous sample DataManagementScript (DMS) files. To run these files, you must install Professional 5.6.

• Numerous sample mrScriptBasic files. To run these files, you must have Data Model 5.6. Some of these samples have additional requirements, such as Microsoft Office, Professional 5.6, or Professional Tables Option 5.6.

• A number of sample mrScriptMetadata files. To use these files, you must have Data Model 5.6.

• The Short Drinks sample comes in the form of an SQL Server backup of a relational MR (RDB) database. You need SQL Server Client Tools to restore and use this database.

Related Topics

System Requirements


PASW Data Collection Adapter

These instructions cover the installation and configuration of the PASW Data Collection Adapter.

Related Topics

Setting Up a Repository for Question Repository
Installing the PASW Data Collection Adapter
PASW Collaboration and Deployment Services Documentation


Setting Up a Repository for Question Repository

Use a Question Repository to manage files that contain standard survey questions. The files are stored in Repository, which is part of the PASW Collaboration and Deployment Services set of components for managing analytical assets. Question Repository supports PASW Collaboration and Deployment Services version 3.0 patch 4 or greater. You can use either an existing or a new installation of PASW Collaboration and Deployment Services version 3.0 patch 4.

Note: Question Repository features are available in both Author and Professional.

For more information about PASW Collaboration and Deployment Services, see PASW Collaboration and Deployment Services Documentation.

To support the storage of file types that contain questions, the Repository that you plan to use must include an installation of the PASW Data Collection Adapter.

Related Topics

Installing the PASW Data Collection Adapter
PASW Collaboration and Deployment Services Documentation


Installing the PASW Data Collection Adapter

SPSS PASW Collaboration and Deployment Services,SPSS PASW Collaboration and Deployment Services,SPSS PASW Collaboration and Deployment Services
Installing the PASW Data Collection Adapter,Installing the PASW Data Collection Adapter,Installing the PASW Data Collection Adapter

To support the storage of file types that contain questions, the Repository that you plan to use with Question Repository must include an installation of the PASW Data Collection Adapter.

To Install the PASW Data Collection Adapter

The PASW Data Collection Adapter is not installed with the other Data Collection and Survey Visualization products. The PASW Data Collection Adapter is located on the PASW® Data Collection and Survey Visualization 5.6 installation CD and must be manually installed.

Log on to the computer that hosts the Repository.

From the installation path for Repository, navigate to the setup directory.

On a Windows system, run packagemanager.bat. On a Solaris or HP-UX system, run packagemanager.sh.

The Package Manager "Admin Login" dialog appears.

Enter the User ID and Password for the administrator account that was created when the Repository was installed.

In the Package Manager window, click Install.

A File Open dialog appears.

Navigate to the QRPES_Server directory on the PASW® Data Collection and Survey Visualization 5.6 installation CD and select the file DataCollectionRepositoryAdapter-5.6.0.package.

Click Open.

After a short delay, the PASW Data Collection Adapter is installed.

To verify the installation, open the Standalone Components folder in the Package Manager window. The list of components should include PASW Data Collection Adapter-MDD/MZD & Security.

Refer to the Question Repository section in the Author or Professional online help for information on configuring the repository.

Related Topics

Setting Up a Repository for Question Repository
PASW Collaboration and Deployment Services Documentation


PASW Collaboration and Deployment Services Documentation

Documentation,Documentation,Documentation
SPSS PASW Collaboration and Deployment Services,SPSS PASW Collaboration and Deployment Services,SPSS PASW Collaboration and Deployment Services
Documentation,Documentation,Documentation

For help with installing and using the components of PASW Collaboration and Deployment Services, refer to the following documents:

Document | Description | How to Access the Document
PASW Collaboration and Deployment Services Administrator's Guide | Explains how to install, configure, and operate the Repository. Chapter 3 of this document explains how to use the browser-based Deployment Manager. | Included on the PASW Collaboration and Deployment Services installation CD as file \Documentation\EnterpriseAdministrator.pdf. After installation, you can access the Guide by clicking Adminstrator Guide in the navigation pane on the left of the browser-based Deployment Manager main page.
Deployment Manager User's Guide | Explains how to install and use the Deployment Manager. | Included on the PASW Collaboration and Deployment Services installation CD as file \Documentation\EnterpriseManager.pdf. After installation, you can access the Guide from the Help menu option in Deployment Manager.

Related Topics

Setting Up a Repository for Question Repository
Installing the PASW Data Collection Adapter


Licensing Your Product

After the main part of the installation is complete, click Finish to launch the License Authorization Wizard. The License Authorization Wizard allows you to obtain a license for PASW Data Collection and Survey Visualization.

Note: Licenses are tied to your computer's hardware with a lock code. If you replace your computer or its hardware, you will have a new lock code and will need to repeat the authorization process. If you find out that you exceeded the allowable number of authorizations specified in the license agreement, contact your sales representative.

Warning: The license is sensitive to time changes. If you must change the system time and then cannot run the product, contact SPSS Inc. Technical Support.


Using the License Authorization Wizard

Note: If you are running Windows Vista, you may be prompted for administrator credentials. Without the correct credentials, you will not be able to run the Licence Authorization Wizard.

If you don't launch the License Authorization Wizard during installation or cancel the License Authorization Wizard before obtaining a license, you can launch it by choosing License Authorization Wizard in the Windows Start menu program group for PASW Data Collection and Survey Visualization.

When prompted, choose License my product now.

When prompted, enter one or more authorization codes you received from SPSS Inc..

The License Authorization Wizard sends your authorization code over the Internet to SPSS Inc. and automatically retrieves your license. If your computer is behind a proxy, click Configure proxy settings and enter the appropriate settings.

If the authorization process fails, you will be prompted to send an e-mail message. Choose whether you want to send the e-mail message through your desktop e-mail program or through a Web-based e-mail application.

• If you choose the desktop option, a new message with the appropriate information will be created automatically.

• If you choose the Web-based option, you must first create a new message in your Web-based e-mail program. Then copy the message text from the License Authorization Wizard and paste it into your e-mail application.

Send the e-mail message and respond to the prompt in the License Authorization Wizard. The e-mail message will be processed almost instantaneously. You can click Enter License Code(s) to enter any license code(s) that you receive. If you already closed the License Authorization Wizard, restart it and select License my product now. On the Enter Codes panel, add the license code that you received and click Next to complete the process.


Uninstalling Data Collection and Survey Visualization 5.6 products

Product,Product,Product
Removing,Removing,Removing
Removing the product,Removing the product,Removing the product
Uninstalling the product,Uninstalling the product,Uninstalling the product

To uninstall Data Collection and Survey Visualization 5.6 products:

Use the Windows Control Panel to remove Data Collection and Survey Visualization 5.6 products.

A message will be displayed when uninstallation is complete. The amount of time this takes depends on how many Data Collection and Survey Visualization 5.6 products you uninstall.

Related Topics

Uninstalling From the Command Line
Updating, Modifying, and Renewing Data Collection and Survey Visualization 5.6 products


Uninstalling From the Command Line

PASW® Data Collection and Survey Visualization 5.6,PASW® Data Collection and Survey Visualization 5.6,PASW® Data Collection and Survey Visualization 5.6
Uninstalling,Uninstalling,Uninstalling
Uninstalling PASW® Data Collection and Survey Visualization 5.6,Uninstalling PASW® Data Collection and Survey Visualization 5.6,Uninstalling PASW® Data Collection and Survey Visualization 5.6
Silent uninstall,Silent uninstall,Silent uninstall
PASW® Data Collection and Survey Visualization 5.6,PASW® Data Collection and Survey Visualization 5.6,PASW® Data Collection and Survey Visualization 5.6
Removing,Removing,Removing
Removing PASW® Data Collection and Survey Visualization 5.6,Removing PASW® Data Collection and Survey Visualization 5.6,Removing PASW® Data Collection and Survey Visualization 5.6

You can remove PASW® Data Collection and Survey Visualization 5.6 using the command line. This is useful for system administrators who want to uninstall PASW® Data Collection and Survey Visualization 5.6 using "silent uninstallation." A silent uninstallation runs on its own without intervention so users are not required to provide input to dialog boxes.

To remove PASW® Data Collection and Survey Visualization 5.6 using the command line

Open a command prompt. For example, in Windows XP, click Start and go to

All Programs
Accessories
Command Prompt

Change to the directory on the CD-ROM containing the installer file (PASWDataCollectionandSurveyVisualization5.6.exe).

Enter a command in the following format to uninstall PASW® Data Collection and Survey Visualization 5.6:

start /WAIT PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"mylogfile\" remove=ProductNames"

The options are:

Option | Description
start /WAIT | Optional. Tells the command prompt to wait until the command is finished before returning. This is very useful in a silent uninstallation, as otherwise the log needs to be continually examined to determine when the uninstallation is complete.
/s | Required. Hides the initialization dialog.
/v | Required. Passes parameters to the MsiExec.exe application.
/qn | Required. Runs the uninstallation without displaying the external user interface.
/l*v \"mylogfile\" | Optional. Runs the uninstallation with verbose logging, and logs to a specified .txt file.
remove=ProductNames | Required. Defines the products/features to uninstall. Replace ProductNames with one or more of the following. To uninstall multiple products, separate names with a comma (no spaces). To install everything, use All. • Author • ReportsForSurveys • Professional • Interviewer • Paper • Scan • TranslationUtility

Examples

The following example uninstalls all PASW® Data Collection and Survey Visualization 5.6 applications without logging the installation:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn remove=All"

The following example uninstalls Author and Reports for Surveys and logs the uninstallation messages to a file called C:\log2.txt:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"C:\log2.txt\" remove=Author,ReportsForSurveys"

The following example does the same as the previous example, but waits for the installation to complete before returning to the command prompt:

start /WAIT PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"C:\log2.txt\" remove=Author,ReportsForSurveys"

Related Topics

Uninstalling Data Collection and Survey Visualization 5.6 products
Updating, Modifying, and Renewing Data Collection and Survey Visualization 5.6 products


Updating, Modifying, and Renewing Data Collection and Survey Visualization 5.6 products

Product,Product,Product
Updating,Updating,Updating
Modifying,Modifying,Modifying
Renewing,Renewing,Renewing
Updating the product,Updating the product,Updating the product
Modifying the product,Modifying the product,Modifying the product
Renewing the product,Renewing the product,Renewing the product

If you renew your license, you will receive a new authorization code (or codes). For instructions on using the authorization code(s), see Licensing Your Product.

To modify the installation

After you install Data Collection and Survey Visualization products, you can add or remove options at any time.

Log on as the user you used for installing Data Collection and Survey Visualization products.

Open the Control Panel and choose Add/Remove Programs.

Choose Data Collection and Survey Visualization products

Click Add/Remove or Change/Remove.

This starts the Data Collection and Survey Visualization products Setup wizard.

On the Welcome page, click Next.

In the Program Maintenance page, choose Modify, and then click Next.

To add options, select any new options you want to include on the Custom Setup screen. Make sure every option you want to include is selected, including any previously installed options.

To remove an option, clear the selection of that item on the Custom Setup screen. Make sure every option you want to include is selected, including any previously installed options. Note that this is not an effective way to remove all products.

Click Next.

The Data Collection and Survey Visualization products Setup wizard is now ready to modify the installation.

Click Install.

Related Topics

Uninstalling Data Collection and Survey Visualization 5.6 products
Uninstalling From the Command Line


Installing Microsoft .NET Framework 2.0 SP1

Microsoft .NET framework,Microsoft .NET framework,Microsoft .NET framework
Installing,Installing,Installing
.NET framework,.NET framework,.NET framework
Installing,Installing,Installing
System requirements,System requirements,System requirements
Microsoft .NET framework,Microsoft .NET framework,Microsoft .NET framework
Requirements,Requirements,Requirements
Microsoft .NET framework,Microsoft .NET framework,Microsoft .NET framework

Before you can install certain Data Collection and Survey Visualization 5.6 products on Microsoft Windows XP, you must install Microsoft .NET Framework 2.0 SP1. Installing Microsoft .NET Framework 2.0 SP1 upgrades a number of Windows components.

To Install Microsoft .NET Framework 2.0 SP1

From the Data Collection and Survey Visualization products Installer window, choose Install .NET Framework 2.0 SP1.

Follow the instructions on the screen.

Restart your computer. This is recommended even if the installation program does not request it.

Related Topics

Required Software


Installing Internet Explorer 6.0 or 7.0

Internet Explorer 6.0 or 7.0,Internet Explorer 6.0 or 7.0,Internet Explorer 6.0 or 7.0
Installing,Installing,Installing
System requirements,System requirements,System requirements
Internet Explorer,Internet Explorer,Internet Explorer
Requirements,Requirements,Requirements
Internet Explorer,Internet Explorer,Internet Explorer

Before you can install certain Data Collection and Survey Visualization 5.6 products, you must install Internet Explorer 6.0 or 7.0.

Internet Explorer is available in many languages from http://www.microsoft.com/windows/ie/downloads/default.mspx.

Related Topics

Required Software


Microsoft Data Access Components 2.8

Microsoft Data Access Components,Microsoft Data Access Components,Microsoft Data Access Components
Installing,Installing,Installing
MDAC,MDAC,MDAC
Installing,Installing,Installing
System requirements,System requirements,System requirements
Microsoft Data Access Components (MDAC),Microsoft Data Access Components (MDAC),Microsoft Data Access Components (MDAC)
Requirements,Requirements,Requirements
Microsoft Data Access Components (MDAC),Microsoft Data Access Components (MDAC),Microsoft Data Access Components (MDAC)

The Data Collection and Survey Visualization products installation automatically installs the English language version of Microsoft Data Access Components (MDAC) 2.8. If you are running a different language version of Windows, you need to install the appropriate language version.

For more information on MDAC 2.8, see http://www.microsoft.com/Windows/downloads/default.mspx.

Related Topics

Required Software


Installing Microsoft Office Web Components (OWC)

Office Web Components,Office Web Components,Office Web Components
Installing,Installing,Installing
OWC,OWC,OWC
Installing,Installing,Installing
System requirements,System requirements,System requirements
Office Web Components (OWC),Office Web Components (OWC),Office Web Components (OWC)
Requirements,Requirements,Requirements
Office Web Components (OWC),Office Web Components (OWC),Office Web Components (OWC)

If you want to display charts in Reports for Surveys or Professional Tables Option, you must install Microsoft Office Web Components (OWC) version 10 or later.

Microsoft OWC can be downloaded directly from Microsoft, but is also installed automatically with Microsoft Office 2000, XP, and 2003. Microsoft OWC version 9 is installed with Microsoft Office 2000, version 10 is installed with Office XP, and version 11 is installed with Office 2003. However, Microsoft has stated there are issues using Microsoft OWC in server configurations in version 9 and lower. Therefore, it is important to install version 10 or higher. You can install Microsoft OWC from the Microsoft Download Center.

Note: Microsoft OWC is not supplied with Microsoft Office 2007. For information on the options available for installing Microsoft OWC version 11 for use with Microsoft Office 2007, see http://technet2.microsoft.com/Office/en-us/library/0dee24b3-09af-485b-b5ed-d4b879dcc8f61033.mspx?mfr=true.

For further information, see the Microsoft Office XP Web Components Licensing web site at http://www.microsoft.com/office/previous/xp/developer/platform/owcfaq.asp.

Related Topics

Required Software


Web Services Enhancements (WSE) 2.0

Web Services Enhancements,Web Services Enhancements,Web Services Enhancements
Installing,Installing,Installing
WSE,WSE,WSE
Installing,Installing,Installing
System requirements,System requirements,System requirements
Web Services Enhancements (WSE),Web Services Enhancements (WSE),Web Services Enhancements (WSE)
Requirements,Requirements,Requirements
Web Services Enhancements (WSE),Web Services Enhancements (WSE),Web Services Enhancements (WSE)

Before you can install certain Data Collection and Survey Visualization 5.6 products, you must install Web Services Enhancements (WSE) 2.0 SP3.

To Install Web Services Enhancements (WSE) 2.0

From the Data Collection and Survey Visualization products Installer window, choose Install WSE 2.0.

Follow the instructions on the screen.

Restart your computer. This is recommended even if the installation program does not request it.

Related Topics

Required Software